# Verify if the number of domain names and rules exceeds the limit of the specified package - CheckWafMenuSettingOverflow

## Overview

Verify if the number of domain names and rules exceeds the limit of the specified package






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CheckWafMenuSettingOverflow`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Leave blank for default project |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UsageInfo** | [*UsageInfo*](#usageinfo) | Usage description, refer to UsageInfo |No|

#### Data Model


#### UsageInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **DomainLimit** | [*UsageInfoDetail*](#usageinfodetail) | Domain name quantity limit, refer to UsageInfoDetail |No|
| **ExclusiveIPLimit** | [*UsageInfoDetail*](#usageinfodetail) | Dedicated IP limit, refer to UsageInfoDetail |No|
| **BandwidthInner** | [*UsageInfoDetail*](#usageinfodetail) | Internal bandwidth limit, refer to UsageInfoDetail |No|
| **BandwidthOuter** | [*UsageInfoDetail*](#usageinfodetail) | External bandwidth limit, refer to UsageInfoDetail |No|

#### UsageInfoDetail

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Quota** | int | Quota Quantity |No|
| **Used** | int | Used Quantity |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=CheckWafMenuSettingOverflow
&ProjectId=org-xxx
```

### Response Example
    
```json
{
  "Action": "CheckWafMenuSettingOverflowResponse",
  "RetCode": 0,
  "UsageInfo": {
    "BandwidthInner": {
      "Quota": 120,
      "Used": 0
    },
    "BandwidthOuter": {
      "Quota": 40,
      "Used": 0
    },
    "DomainLimit": {
      "Quota": 20,
      "Used": 3
    },
    "ExclusiveIPLimit": {
      "Quota": 8,
      "Used": 0
    },
    "customize_rule_set": {
      "Quota": 30,
      "Used": 0
    },
    "user_domain_cc_rules": {
      "Quota": 10,
      "Used": 0
    }
  }
}
```





